Package org.apache.sysds.runtime.instructions.spark.functions

# Class PerformGroupByAggInCombiner

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.PerformGroupByAggInCombiner

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function2<WeightedCell,WeightedCell,WeightedCell>`

public class PerformGroupByAggInCombiner extends Object implements org.apache.spark.api.java.function.Function2<WeightedCell,WeightedCell,WeightedCell>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PerformGroupByAggInCombiner(Operator op)`

## Method Summary

Modifier and Type
Method
Description
`WeightedCell`
`call(WeightedCell value1, WeightedCell value2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerformGroupByAggInCombiner

public PerformGroupByAggInCombiner(Operator op)

## Method Details

### call

public WeightedCell call(WeightedCell value1, WeightedCell value2) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function2<WeightedCell,WeightedCell,WeightedCell>`
Throws:
  `Exception`